RT_SEM_TRYWAIT(2)

NAME
rt_sem_trywait - semaphore 'wait' operation (without blocking)

SYNOPSIS
#define MODULE
#include <linux/module.h>
#include <linux/kernel.h>
#include <linux/version.h>
#include <linux/errno.h>
#include rt_ipc.h

int rt_sem_trywait(rt_sem_t *sem);

DESCRIPTION
rt_sem_wait is the semaphore wait (sometimes known as 'take' or 'P') operation. Unlike rt_sem_wait, rt_sem_trywait returns immediately whether or not the semaphore is available. sem points to the structure used in the call to rt_sem_create.

RETURN VALUE
On success, 0 is returned. On failure, a negative value is returned as described below.

ERRORS

-EAGAIN
    the semaphore is not currently available.

-EINVAL
    sem does not point to a valid rt_sem_t.

AUTHOR
Jerry Epplin <JerryEpplin@worldnet.att.net>

SEE ALSO
rt_task_ipc_delete(2), rt_task_ipc_init(2), rt_sem_destroy(2), rt_sem_init(2), rt_sem_post(2), rt_sem_wait(2)